%global momorel 6
%global artsver 1.5.9
%global artsrel 3m
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 6m
%global kdemultimediarel 1m
%global kdesdkrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: A sound editor for KDE
Name: kwave
Version: 0.7.11
Release: %{momorel}m%{?dist}
License: GPLv2 and LGPL
URL: http://kwave.sourceforge.net/
Group: Applications/Multimedia
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}-1.tar.gz 
NoSource: 0
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdemultimedia >= %{kdever}-%{kdemultimediarel}
BuildPreReq: kdesdk-devel >= %{kdever}-%{kdesdkrel}
BuildPreReq: kdesdk-utils
BuildPreReq: cmake
BuildPreReq: desktop-file-utils
BuildPreReq: esound-devel
BuildPreReq: flac-devel >= 1.2.1
BuildPreReq: gettext
BuildPreReq: gsl-devel
BuildPreReq: id3lib-devel
BuildPreReq: jack-devel
BuildPreReq: libmad
BuildPreReq: libogg-devel
BuildPreReq: libvorbis-devel

%description
With Kwave you can edit many sorts of wav-files including
multi-channel files.
You are able to alter and play back each channel on its own.
Kwave also includes many plugins (most are still under development)
to transform the wave-file in several ways and presents a graphical
view with a complete zoom-and scroll capability.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"

cmake . \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DWITH_ARTS=ON

make %{?_smp_mflags} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install desktop files
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category AudioVideoEditing \
  --add-category AudioVideo \
  --add-category Audio \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/Multimedia/kwave.desktop

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kwave.png %{buildroot}%{_datadir}/pixmaps/kwave.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS CHANGES GNU-LICENSE LICENSES README TODO
%{_bindir}/kwave
%{_libdir}/libkwave.so*
%{_libdir}/libkwavegui.so*
%{_datadir}/applications/kde/kwave.desktop
%{_datadir}/apps/kwave
%{_datadir}/doc/HTML/*/kwave
%{_datadir}/icons/*/*/*/kwave.png
%{_datadir}/locale/*/LC_MESSAGES/kwave.mo
%{_datadir}/mimelnk/audio/x-aifc.desktop
%{_datadir}/mimelnk/audio/x-ircam.desktop
%{_datadir}/pixmaps/kwave.png

%changelog
* Sun Jul  6 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.7.11-6m)
- add BuildPreReq: kdesdk-utils

* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.11-5m)
- revise %%{_docdir}/HTML/*/kwave/common

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7.11-4m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.11-3m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.11-2m)
- %%NoSource -> NoSource

* Thu Jan 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.11-1m)
- version 0.7.11
- remove merged flac-v1.1.3_and_v1.1.4-support.diff
- remove merged debian-431199.diff
- update desktop.patch

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7.9-6m)
- rebuild against libvorbis-1.2.0-1m

* Mon Jul 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.9-5m)
- enable flac support in all-arch again

* Mon Jul 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.9-4m)
- apply debian-431199.diff
- http://sourceforge.net/tracker/index.php?func=detail&aid=1732594&group_id=6478&atid=306478

* Tue Jul 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.9-3m)
- build flac support i686 only

* Tue Jul 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.9-2m)
- import flac-v1.1.3_and_v1.1.4-support.diff (enable flac support)

* Thu May 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.9-1m)
- initial package for Momonga Linux
- disable flac support for the moment
